/***************************************************************************
* wfile.h: header file for wfile.c, includes #defines etc.		   *
*									   *
* created: Oct 1990 Mtwx						   *
***************************************************************************/

/* --------------------- source code revisions, tracked by RCS ---------- */

/* $Header: Hard0:C-Compiler/src/wfile/rcs/wfile.h,v 1.0 91/08/12 20:29:24 Mtwx Exp $ */
/* $Log:	wfile.h,v $
 * Revision 1.0  91/08/12  20:29:24  Mtwx
 * Initial revision
 *  */

/* ------------------------------- define Options ---------------------- */

#define ADDCR 1
#define REMCR 2
#define EXPTABS 4
#define SHRSPACE 8
#define CHANGE_FOREIGN 16
#define NO_BACKUP 32
#define REAL_NULL 64
#define ADD_FINAL_CHR 128

/* ------------------------------- define defaults --------------------- */

#ifdef AMIGA
#define CRMODE ADDCR
#define CRTEXT "ADDCR"
#define LINES 23
#endif
#ifdef UNIX
#define CRMODE ADDCR
#define CRTEXT "ADDCR"
#define LINES 22
#endif
#ifdef MSDOS
#define CRMODE REMCR
#define CRTEXT "REMCR"
#define LINES 23
#endif
#define TABSIZE 8
#define TABMODE SHRSPACE
#define TABTEXT "SHRINK SPACES TO TABS"
#define MAXCHANGE 26
#define MAXOPTIONS 100
